Eclipse GEF 3.2

## org.eclipse.gef.ui.views.palette
Class PaletteView

    java.lang.Object
      org.eclipse.gef.ui.views.palette.PaletteView

public class PaletteView
extends Object

The GEF palette view

Since:
  3.0

Field Summary
`static String` `ID` The ID for this view.

Method Summary
`protected IPage` `createDefaultPage(PageBook book)` Creates a default page saying that a palette is not available.
`void` `createPartControl(Composite parent)` Add a perspective listener so the palette view can be updated when the perspective is switched.
`void` `dispose()` Remove the perspective listener.
`protected PageRec` `doCreatePage(IWorkbenchPart part)`
`protected void` `doDestroyPage(IWorkbenchPart part, PageRec rec)`
`protected IWorkbenchPart` `getBootstrapPart()` The view shows the palette associated with the active editor.
`protected boolean` `isImportant(IWorkbenchPart part)` Only editors in the same perspective as the view are important.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  The ID for this view. This is the same as the String used to register this view with the platform's extension point.

  See Also:
    Constant Field Values

Method Detail

### createDefaultPage

    protected IPage createDefaultPage(PageBook book)

  Creates a default page saying that a palette is not available.

  See Also:
    `PageBookView.createDefaultPage(org.eclipse.ui.part.PageBook)`

### createPartControl

    public void createPartControl(Composite parent)

  Add a perspective listener so the palette view can be updated when the perspective is switched.

  See Also:
    `IWorkbenchPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### dispose

    public void dispose()

  Remove the perspective listener.

  See Also:
    `IWorkbenchPart.dispose()`

### doCreatePage

    protected PageRec doCreatePage(IWorkbenchPart part)

  See Also:
    `PageBookView.doCreatePage(org.eclipse.ui.IWorkbenchPart)`

### doDestroyPage

    protected void doDestroyPage(IWorkbenchPart part,
                                 PageRec rec)

  See Also:
    `PageBookView.doDestroyPage(org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.part.PageBookView.PageRec)`

### getBootstrapPart

    protected IWorkbenchPart getBootstrapPart()

  The view shows the palette associated with the active editor.

  See Also:
    `PageBookView.getBootstrapPart()`

### isImportant

    protected boolean isImportant(IWorkbenchPart part)

  Only editors in the same perspective as the view are important.

  See Also:
    `PageBookView.isImportant(org.eclipse.ui.IWorkbenchPart)`

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.